\set id random(1,1000000)

select * from f
	join d1 on (f.id1 = d1.id)
	join d2 on (f.id2 = d2.id)
	join d3 on (f.id3 = d3.id)
	join d4 on (f.id4 = d4.id)
	join d5 on (f.id5 = d5.id)
where f.id = :id
